      SUBROUTINE xplinf(string, iparse, dset, dset_new, hisfile)
      CHARACTER*(*) string, hisfile
      INTEGER*4 iparse
      INTEGER*4 dset, dset_new
      INTEGER*4 lenact
c     show information about data sets
c     fwj haberl   1-NOV-1990 

      INCLUDE 'xplot.inc'
      INTEGER*4 iset, jset, nbin
 
      jset = 0
      write(*,'(a)')' '
      write(*,'(2a)')'  plot device:  ',device(1:lenact(device))
      write(*,'(2a)')'  history file: ',hisfile(1:lenact(hisfile))
      write(*,'(2(a,i1))')'  viewports:    ',divx,' x ',divy
      if(dset+dset_new .GT. 0)then
         write(*,'(a)')' '
         write(*,'(a)')'  data set | data points | viewport | symbol '
      ENDIF
      do iset=1,dset
         jset = jset+1
         nbin = nbine(jset) - nbins(jset) + 1
         write(*,'(1x,i5,a,i5,a,i2,a,i2,a,i4)')
     &       jset,'     |   ',nbin,'     | ',pos(1,jset),'   ',
     &       pos(2,jset),'  | ',symbol(jset)
      enddo
      do iset=1,dset_new
         jset = jset+1
         nbin = nbine(jset) - nbins(jset) + 1
         if(pos(1,jset).EQ.0 .OR. pos(2,jset).EQ.0)then
            write(*,'(1x,i5,a,i5,a,i4)')
     &          jset,'     |   ',nbin,'     |  -    -  | ',symbol(jset)
         else
         write(*,'(1x,i5,a,i5,a,i2,a,i2,a,i4)')
     &       jset,'     |   ',nbin,'     | ',pos(1,jset),'   ',
     &       pos(2,jset),'  | ',symbol(jset)
         endif
      enddo
      write(*,*)' '
      RETURN
      END
